%undefine _hardened_build

Name:           nvidia-query-resource-opengl
Version:        1.0.0
Release:    1%{?dist}
Summary:        Querying OpenGL resource usage of applications using the NVIDIA OpenGL driver

License:        BSD
URL:            https://github.com/NVIDIA/nvidia-query-resource-opengl/
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  libX11-devel
BuildRequires:  libGL-devel

Requires:       %{name}-lib = %{version}-%{release}
%ifarch x86_64
Suggests:       (%{name}-libs(x86-32) = %{?epoch}:%{version}-%{release} if libGL(x86-32))
%endif


%description
A tool for querying OpenGL resource usage of applications using the NVIDIA
OpenGL driver. Requires NVIDIA 387 or later.

%package        lib
Summary:        Library for %{name}

%description    lib
This package contains library for %{name}.


%prep
%autosetup -p1


%build
%cmake

%cmake_build


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}/%{name}

find . -name %{name} -exec mv {} %{buildroot}%{_bindir} ';'

find . -name libnvidia-query-resource-opengl-preload.so -exec mv {} \
  %{buildroot}%{_libdir}/%{name}/lib%{name}-preload.so ';'


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%files lib
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib%{name}-preload.so


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-1
- initial build
